######################################################################
# This script creates figures for the DINA report
######################################################################


######################################################################
# Make a final size plot
#
# baseFileName - base file name, without extension (i.e. no .txt)
######################################################################

make.finalSize <- function(baseFileName) {
  Z <-  read.table(paste("c:/user/hoehle/work/Java/SIRmcmc/classes/",baseFileName,".txt",sep=""))
  plothalfA4File(paste("c:/user/hoehle/work/tex/SIRmcmc/figs/",baseFileName,".eps",sep=""),
                 hist,Z[,3],nclass=55,xlab="Final Size",main="",freq=F)
}

######################################################################
# Make trace plots of beta111 and beta211 in the 2D case.
######################################################################

make.2d.trace <- function() {
  #Ready to plot
  source(paste(path,"Slides\\erik.S",sep=""))
    
  #Read in the samples
  a <-
    read.table("C:/user/hoehle/work/Java/SIRmcmc/data/2d-many.txt",header=T)

  plothalfA4File("c:/user/hoehle/work/tex/SIRmcmc/figs/2dbeta111trace.eps",
                 plot,a$beta111,type="l",xlab="",ylab=expression(beta^{11}))
  plothalfA4File("c:/user/hoehle/work/tex/SIRmcmc/figs/2dbeta211trace.eps",
                 plot,a$beta211,type="l",xlab="",ylab=expression(beta^{21}))

}

######################################################################
# Make scatterplot of the MCMC samples for all pairs of parameters
#
# Parameters:
#  log.table - Table of log.txt nature,
#              i.e. col1=acc, col2=loglik, col3=beta111...
######################################################################
plot.scatter <- function(log.table,names=NA) {
  if (is.na(names)) {
    pairs(log.table[,3:dim(log.table)[2]])
  } else {
    pairs(log.table[,names])
  }
}

######################################################################
# Make scatterplot in 2D example
######################################################################

plot.2d.scatter <- function() {
  source(paste(path,"Slides\\erik.S",sep=""))
  a <-read.table("C:/user/hoehle/work/Java/SIRmcmc/data/2d-many.txt",header=T)
  plot.scatter(a)
}

######################################################################
#The ESS function
######################################################################

doIt <- function() {
  cvsPath <<- "c:\\user\\hoehle\\work\\"
  source(paste(cvsPath,"Java\\SIRmcmc\\data\\dina.figures.R",sep=""))

  #2D trace plots.
  make.2d.trace()
}









